crash won't finish processing

RESOLVED WORKSFORME

Status

Socorro
General
RESOLVED WORKSFORME
9 years ago
6 years ago

People

(Reporter: wsmwk, Unassigned)

Tracking

Trunk
x86
Windows Vista

Firefox Tracking Flags

(Not tracked)

Details

Comment 1

9 years ago
There is no raw dump on the file system...
http://crash-stats.mozilla.com/dumps/073acbf8-68c1-11dd-a4c0-001a4bd43e5c.jsonz is 404

It would be good to see what is in the reports table 

SELECT * FROM reports WHERE uuid ='073acbf8-68c1-11dd-a4c0-001a4bd43e5c';
(I'll ping Aravind)

Comment 2

9 years ago
There were 2 crashes:

c469a319-552d-11dd-9c8c-001a4bd43e5c
Happened early on - after GUI came up, but before I could login to my gmail account.

073acbf8-68c1-11dd-a4c0-001a4bd43e5c
Happened right after I logged in to my gmail account.
(Reporter)

Comment 3

9 years ago
bp-c469a319-552d-11dd-9c8c-001a4bd43e5c also doesn't finish
These reports are from dates before November 2008.  Notice that the last 6 digits do not make a date of the form: YYMMDD. There are many reasons why a report from that era may not be in the database.

Comment 5

9 years ago
breakpad=# SELECT * FROM reports WHERE uuid ='073acbf8-68c1-11dd-a4c0-001a4bd43e5c';
   id    |   client_crash_date    |       date_processed       |                 uuid                 | product | version |   build    | signature |                    url                     | install_age | last_crash | uptime | cpu_name | cpu_info | reason | address | os_name | os_version |      email       |     build_date      |               user_id                |      started_datetime      |     completed_datetime     | success | truncated | processor_notes | user_comments | app_notes | distributor | distributor_version 
---------+------------------------+----------------------------+--------------------------------------+---------+---------+------------+-----------+--------------------------------------------+-------------+------------+--------+----------+----------+--------+---------+---------+------------+------------------+---------------------+--------------------------------------+----------------------------+----------------------------+---------+-----------+-----------------+---------------+-----------+-------------+---------------------
 5356399 | 2008-08-12 15:40:10-07 | 2008-08-16 01:51:32.925968 | 073acbf8-68c1-11dd-a4c0-001a4bd43e5c | Firefox | 3.0.1   | 2008070206 |           | REMOVED |     2158735 |      15519 |    140 |          |          |        |         |         |            | REMOVED | 2008-07-02 06:00:00 | 2d9f2537-e366-0e11-8423-2502cd5f3759 | 2008-08-16 01:51:32.799505 | 2008-08-16 01:51:33.190078 | t       | f         |                 |               |           |             | 
(1 row)

This crash is in the reports table, but not the filesystem.
ok, this anomaly has identified a migration problem.  Apparently a block of older dumps did not successfully get migrated off the database into the processed dump file system.  It's interesting that it took this long for someone to notice the problem. The migration for these dumps will be re-run in over the weekend.

Comment 7

9 years ago
Is K Lars Lohn saying thatthe 2 crash reports that got automatically
sent today by thunderbird-3.0 beta 2 are of 2008 vintage?
That's very interesting indeed. Did t bird stamp them with that date?
On my system:
# date
Thu May 14 18:21:47 PDT 2009
Crash uuids are assigned by the Socorro collector.  Beginning in November of 2008, we started encoding receipt dates into the uuid.  The last six digits are of the form YYMMDD.  Because I can see that the uuids mentioned in this bug do not have that form, I surmise that they are from before that upgrade date in November of last year.

However, the fact that these reports exist in the database but the UI was unable to retrieve dump information, has alerted us to a problem in a data migration done last week.  Many older crash dumps were not successfully written to the processed dump filesystem.  This problem will be rectified with a re-run of the dump migration script over the weekend.
(Reporter)

Comment 9

8 years ago
I now see a report with [@ ] as signature with most of the info not filled out (expected).

Closing WFM. please reopen if you disagree
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

6 years ago
Component: Socorro → General
Product: Webtools → Socorro
You need to log in before you can comment on or make changes to this bug.